com.h3c.of.lib

## Interface MutableObject

- All Known Subinterfaces:
    MutableMessage, MutablePipelineDefinition, MutableStructure, MutableTableContext
  All Known Implementing Classes:
    InstrMutableAction, InstrMutableApplyActions, InstrMutableWriteActions, MBodyFlowStats.MutableArray, MBodyGroupDescStats.MutableArray, MBodyGroupStats.MutableArray, MBodyMeterConfig.MutableArray, MBodyMeterStats.MutableArray, MBodyMutableDesc, MBodyMutableExperimenter, MBodyMutableFlowStats, MBodyMutableFlowStatsRequest, MBodyMutableGroupDescStats, MBodyMutableGroupFeatures, MBodyMutableGroupStats, MBodyMutableGroupStatsRequest, MBodyMutableMeterConfig, MBodyMutableMeterConfigRequest, MBodyMutableMeterFeatures, MBodyMutableMeterRequest, MBodyMutableMeterStats, MBodyMutableMeterStatsRequest, MBodyMutablePortStats, MBodyMutablePortStatsRequest, MBodyMutableQueueStats, MBodyMutableQueueStatsRequest, MBodyMutableTableFeatures, MBodyMutableTableStats, MBodyPortDesc.MutableArray, MBodyPortStats.MutableArray, MBodyQueueStats.MutableArray, MBodyTableFeatures.MutableArray, MBodyTableStats.MutableArray, MutableBucket, MutableMatch, MutablePort, MutableQueue, OfmMutableBarrierReply, OfmMutableBarrierRequest, OfmMutableEchoReply, OfmMutableEchoRequest, OfmMutableError, OfmMutableErrorExper, OfmMutableExperimenter, OfmMutableFeaturesReply, OfmMutableFeaturesRequest, OfmMutableFlowMod, OfmMutableFlowRemoved, OfmMutableGetAsyncReply, OfmMutableGetAsyncRequest, OfmMutableGetConfigReply, OfmMutableGetConfigRequest, OfmMutableGroupMod, OfmMutableHello, OfmMutableMeterMod, OfmMutableMultipartReply, OfmMutableMultipartRequest, OfmMutablePacketIn, OfmMutablePacketOut, OfmMutablePortMod, OfmMutablePortStatus, OfmMutableQueueGetConfigReply, OfmMutableQueueGetConfigRequest, OfmMutableRoleReply, OfmMutableRoleRequest, OfmMutableSetAsync, OfmMutableSetConfig, OfmMutableTableMod

      public interface MutableObject

  Implemented by OpenFlow classes that provide mutators for setting state.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `writable()` Returns true if this mutable object is still writable.

- - ### Method Detail

    - #### writable

          boolean writable()

      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Returns:
        true if this mutable object is still writable

Copyright © 2014. All Rights Reserved.